import { buildTx } from "../../../helper-func-types";
import { toEncoders, toConverters } from "@interchainjs/cosmos/utils";
import { MsgGrantAllowance, MsgRevokeAllowance, MsgPruneAllowances } from "./tx";
export const createGrantAllowance = (clientResolver) => buildTx({
    clientResolver,
    typeUrl: MsgGrantAllowance.typeUrl,
    encoders: toEncoders(MsgGrantAllowance),
    converters: toConverters(MsgGrantAllowance)
});
export const createRevokeAllowance = (clientResolver) => buildTx({
    clientResolver,
    typeUrl: MsgRevokeAllowance.typeUrl,
    encoders: toEncoders(MsgRevokeAllowance),
    converters: toConverters(MsgRevokeAllowance)
});
export const createPruneAllowances = (clientResolver) => buildTx({
    clientResolver,
    typeUrl: MsgPruneAllowances.typeUrl,
    encoders: toEncoders(MsgPruneAllowances),
    converters: toConverters(MsgPruneAllowances)
});
